# Uses of Class
org.apache.sling.auth.oauth_client.spi.OidcAuthCredentials

Packages that use OidcAuthCredentials
Package
Description
org.apache.sling.auth.oauth_client.spi

## Uses of OidcAuthCredentials in org.apache.sling.auth.oauth_client.spi

Methods in org.apache.sling.auth.oauth_client.spi that return OidcAuthCredentials
Modifier and Type
Method
Description
`@NotNull OidcAuthCredentials`
UserInfoProcessor.`process(@Nullable String userInfo, @NotNull String tokenResponse, @NotNull String oidcSubject, @NotNull String idp)`
This method is called by the OIDC authentication handler after the user info and token response have been received from the identity provider.